Reply To: "Hitachi old"

HomeForumsGeneral Discussion"Hitachi old"Reply To: "Hitachi old"

Author Replies
Ucla # Posted on 2012-05-01 at 10:50PM UTC

Depending on his drive it is possible that it does allow ap 2.5 checks. If that is the case which it sounds like it then he will not be able to play any xgd3 or xgd2 with ap 2.5 checks till the 3.0 update is released. Another small possibility is again depending on the drive model 2.0 for Hitachi didn’t work on all drives that well. Soon after a 2.0B firmware was released for some models. It is possible if he is on 2.0 he just needs the 2.0B update and it will work. Personally when I upgraded my Hitachi to 2.0 xgd3 still didn’t work but after 2.0B came out everything now works fine.